> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/chord-oms/chord-oms-overview/checkout/stripe-invoices.md).

# Stripe Invoices

### Introduction

An invoice is a record of the goods you provide to your customers and a method by which they can pay you for those goods. You can place orders on your customer's behalf, or if your store uses Wholesale or even Batch Orders, invoices are a great way to charge your customers.

{% hint style="info" %}
This article will only cover using invoices with **Stripe**.
{% endhint %}

### Initial Setup

Navigate to Settings --> Payments --> Payment Methods and click **New Payment Method.**

In Type dropdown, select **Stripe Invoice**

Select Use App Default for **Auto Capture**

Check:

\[x] Available to Users

\[x] Available to Admin

\[x] Active

In the Name field, type **Stripe Invoice**

Click **Create**

If you have multiple Stores and want to use Stripe Invoices on a specific one, select it here in the **Store** dropdown. Click **Update**

{% hint style="success" %}
If you need to add Stripe Invoice to another Store, repeat the process and name it differently, i.e., Stripe Invoice Store x.
{% endhint %}

In Stripe, navigate to **Developers.**

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-e787543c0fa57c99d630df541d1266ba7358576c%2Fstripe-invoices-1.jpg?alt=media)

Click **Webhooks** and click on the URL in **Hosted endpoints**

Click on the ellipsis on the top right and select **Update details**

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-8595b133a455dd840d9f4f1b42ac4a38e503e900%2Fstripe-invoices-2.jpg?alt=media)

In the Events to send the dropdown search for invoice.payment\_succeeded and click **Update** **endpoint**.

{% hint style="info" %}
For a list of available Events in Stripe, please refer to this [document](https://stripe.com/docs/api/events/types)
{% endhint %}

{% hint style="info" %}
To customize your invoices in Stripe, please refer to this [document](https://stripe.com/docs/invoicing/customize)
{% endhint %}

### Wholesale

Suppose you are placing a manual wholesale order for one of your customers.

{% hint style="info" %}
For more information about Manual Orders, please refer to that [document](/chord-oms/chord-oms-overview/orders/creating-a-manual-order.md).
{% endhint %}

Create your order in the OMS, and after selecting the Products and entering your customer's information, click on the Payments tab. You can see the payment status being **Balance Due**. Click on **New Payment**

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-4e63c7055abfa7d6f6d1dec3426c84d7af488ddd%2Fstripe-invoices-3.jpg?alt=media)

Select **Stripe Invoice** radio button and click **Update**

Click the **Confirm** tab and **Complete the order**

On the Payments tab **Capture** the payment by clicking the thumb icon.

Click the **Confirm** tab and **Complete the order.**

On the Payments tab, **Capture** the payment by clicking the thumb icon.

Your order is complete and ready to ship.

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-1eec0fd74f7e557aea3316083a35dfb51ad1ec47%2Fstripe-invoices-4.gif?alt=media)

Depending on your agreement with your vendors, you can either:

* Send an **Invoice** via Stripe and get paid after the order has shipped.
* Ask your 3PL to hold the shipment at your warehouse until the **Invoice** is paid.
* Make an *Adjustment* to the order so it doesn't ship until you get paid.
  * In the Adjustments tab, click New Adjustment, type -1 in the Amount field, a Description in the Label field, and select a Reason. Click **Continue.** Your order is now in **Credit Owed** state and cannot be sent to your Warehouse.
  * To re-adjust when payment is paid, delete the record in the Adjustments tab

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-6725c79f34823ca349cbbbd613dd014b6d0eb9d3%2Fstripe-invoices-5.gif?alt=media)

In Stripe navigate to Billing --> Invoices

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-b89053aba083c69087195acd6ce898f7c3c2d0a9%2Fstripe-invoices-6.jpg?alt=media)

Click the payment and click **Send invoice**

The Invoice will be sent to the email address used for the order, but can be edited if needed

Click **Send Invoice** and your customer will receive an email

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-751103ce7b5bb2a2e2811a816cba03f407f08f61%2Fstripe-invoices-7.gif?alt=media)

Once your customer pays, the status in Stripe will be set to **Paid**

If you had selected to **Adjust** your order, go to the order, delete the Adjustment and your order is ready to ship.

You can keep track of all payments invoices in **Stripe** under\*\* Billing --> Invoices.\*\* The default for overdue payment is 30 days if you don’t specify a value in the OMS. If you need to overwrite that default, navigate to **Settings --> Stores** in the **OMS**, add STRIPE\_INVOICE\_DAYS\_UNTIL\_DUE, and type in the value that best fits your business.

### Batch Orders

Invoices for Batch Orders is powered by three columns in the [batch order spreadsheet](https://docs.google.com/spreadsheets/d/1Cq9Hci9LgMI1SLGPOj1fuxmvRyHH_bOd8LqMuNkFaX0/edit?usp=sharing)\*\*\*\*

`single_payer`: when YES, an invoice will be generated for the order

`ship_now`: when YES, the order will be ready to be fulfilled, regardless of when the invoice gets paid. otherwise the OMS will wait for the invoice to be paid before pushing the order to fulfillment.

**Note**: The order's payment status will be "Balance Due," regardless of what `ship_now` is in the CSV file.

But YES will push it to your 3PL, while NO will wait until the order is marked as "Paid" before getting sent to your warehouse.

If ship\_now = NO

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-dcc1082e85c42e5f5c961821979d72ea7612bd0f%2Fstripe-invoices-8.jpg?alt=media)

If ship\_now = YES

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-1b5115e3e6b040a9a6c809ec10b20cda6568b607%2Fstripe-invoices-9.jpg?alt=media)

`single_payer_email:` reflects the email address the invoice will be sent to. Every order with the same email address in this column will be combined into the same invoice.

﻿For example, if you had 25 rows for 25 orders all going to separate Chord's employees, and you put the manager's email address in this column for every order, that manager will receive 1 invoice with all 25 orders

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-59b18f055af84679c154b34bb5a44b66d9cfec23%2Fstripe-invoices-10.jpg?alt=media)

﻿Once you capture the payment in the OMS, Stripe will automatically send your customer the Invoice.

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-0785660061115413ba834dd09bd0ebdf537b7777%2Fstripe-invoices-11.gif?alt=media)

Your customer receives an email and can pay the Invoice from within the email.

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-e31fa6ec332028d296789b210cf2adb9a5f73965%2Fstripe-invoices-12.gif?alt=media)

Once paid, you can see the Transaction ID in the Order's payments tab

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-abefcb730c36d3f0a232e4b30194109d31f667b4%2Fstripe-invoices-13.jpg?alt=media)

﻿

﻿


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/chord-oms/chord-oms-overview/checkout/stripe-invoices.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
